"""
Basic python : list, dictionnary, array
Author :  Alexandre CAMERON
Email  :  alexandre.cameron@ens.fr
Input  :  None
Command:  python part3.py
"""

import matplotlib.pyplot as plt
import matplotlib as mpl
import numpy as np
import pylab as pb
import shlex as sx
import shutil as sl
import subprocess as sp
import sys
import os
import math




###### 1) Simple operations on lists
### Recording file
odir = './out3/'
if not os.path.exists(odir):
    os.mkdir(odir)
file = open( odir+'part3-1.txt' , 'w+' )
### Assigning value
ABlist = [1,'a',[2,3]]
ABlen = len(ABlist)

file.write("list="+str(ABlist)+"\n")
file.write("list[0]="+str(ABlist[0])+" , ")
file.write("list[1]="+str(ABlist[1])+" , ")
file.write("list[2]="+str(ABlist[2])+"\n")
file.write("length(list)="+str(ABlen)+"\n")
file.write("\n")

### Adding element to list
ABlist.append(5)
file.write("list[3]="+str(ABlist[3])+"\n")
ABlist_2 = range(7,10)
ABlist_3 = ABlist + ABlist_2
file.write("list_2="+str(ABlist_2)+"\n")
file.write("list_3="+str(ABlist_3)+"\n")
file.write("\n")

### Copying list
ABlist_4 = ABlist
ABlist_5 = ABlist[:]
file.write("list_4="+str(ABlist_4)+"\n")
file.write("list_5="+str(ABlist_5)+"\n")
ABlist[0]=10
file.write("list_4="+str(ABlist_4)+"\n")
file.write("list_5="+str(ABlist_5)+"\n")

file.close()




###### 2) Simple operations on dictionnaries
# NB a dictionnary is like a list except 
# the indices are not always consecutives 
# interger starting from0
### Recording file
odir = './out3/'
if not os.path.exists(odir):
    os.mkdir(odir)
file = open( odir+'part3-2.txt' , 'w+' )
### Assigning value
CDdic= {2:3, 'a':3}
file.write("dic="+str(CDdic)+"\n")
file.write("dic['a']="+str(CDdic['a'])+"\n")
file.write("dic.keys()="+str(CDdic.keys())+"\n")
file.write("dic.items()="+str(CDdic.items())+"\n")
file.write("\n")

# Dictionnary can't concannate as easily as lists

file.close()




###### 3) Simple operations on np.array
### Recording file
odir = './out3/'
if not os.path.exists(odir):
    os.mkdir(odir)
file = open( odir+'part3-3.txt' , 'w+' )
### Assigning value
EFary= np.array([1,2,3,5,7])
EFary_2 = np.arange(1,6)
EFary_3 = EFary + EFary_2
EFary_4 = EFary * EFary_2
EFary_5 = EFary / EFary_2
EFary_6 = 1.*EFary / (1.*EFary_2)
EFdot = np.dot(EFary, EFary_2)
EFlist = EFary.tolist()
file.write("ary="+str(EFary)+"\n")
file.write("ary_2="+str(EFary_2)+"\n")
file.write("ary_3="+str(EFary_3)+"\n")
file.write("ary_4="+str(EFary_4)+"\n")
file.write("ary_5="+str(EFary_5)+"\n")
file.write("ary_6="+str(EFary_6)+"\n")
file.write("dot="+str(EFdot)+"\n")
file.write("list="+str(EFlist)+"\n")

file.write("\n")

file.close()




#### Exercise
# Create a list of three element with your 
# birthday (day, month, year, eg: [1,1,2001] = 1th jan 2001 
# Create a list of the current day (day, month, year)
# Compute the difference using numpy
# Create a new list expressing day, month and years in day
# eg ( [1, 30, 365])
# Use this new list to 'dot' the number of day since 
# your birth
