"""
Basic python : if, for, while loops
Author :  Alexandre CAMERON
Email  :  alexandre.cameron@ens.fr
Input  :  None
Command:  python part5.py
"""

import matplotlib.pyplot as plt
import matplotlib as mpl
import numpy as np
import pylab as pb
import shlex as sx
import shutil as sl
import subprocess as sp
import sys
import os
import math




###### 1) If statement
### Recording directory
odir = './out5/'
if not os.path.exists(odir):
    os.mkdir(odir)
file = open( odir+'part5-1.txt' , 'w+' )

if ( 1 > 0 ) :
    file.write("1 > 0 is true\n")
# NB indentation is the only element indicating
# the beginning and the end of the procedure
# Make sure your block are well indented.

file.write("\n")

a=5
b=7
if ( a>b ) :
    file.write("a > b\n")
elif ( a==b ) :
    file.write("a == b\n")
else :
    file.write("a < b\n")

file.write("\n")

# True or False boolean can be use in if statement
if True :
    file.write("Statement is true\n")
if not False:
    file.write("Statement is not false\n")
    
if 1 :     
    file.write("Statement is true (1)\n")
if not 0 :     
    file.write("Statement is not false (0)\n")

if bool(1) :     
    file.write("Statement is true bool(1)\n")
if not bool(0) :     
    file.write("Statement is not false bool(0)\n")

file.close()




###### 2) For statement
### Recording directory
odir = './out5/'
if not os.path.exists(odir):
    os.mkdir(odir)
file = open( odir+'part5-2.txt' , 'w+' )

list = range(10)

for iter in list :
    file.write("# Interation = "+str(iter)+"\n"  )

file.write("\n"  )

file.write("Breaking the loop\n" )
for iter in list :
    file.write("# Interation = "+str(iter)+"\n"  )
    if iter > 3 :
        break

file.close()




###### 3) While statement
### Recording directory
odir = './out5/'
if not os.path.exists(odir):
    os.mkdir(odir)
file = open( odir+'part5-3.txt' , 'w+' )

jter=3
while jter < 10:
    file.write(str(jter)+"**2="+str(jter**2)+"\n" )
    jter=jter+1
file.close()




###### Exercise
# Make a loop printing the prime numbers
# smaller than 100.
