"""
Basic python: file, write, move, copy and delete
Author :  Alexandre CAMERON
Email  :  alexandre.cameron@ens.fr
Input  :  None
Command:  python part1.py
"""

# Multi-lines comments are separate with """ """
# they are usually used for documentation.
# 1-line comments start with a #

# Importing module: all of these modules are not
# required for the script but they donnot cause
# any bugs. It's easier to keep all of them
# then having to track which one is missing.

import matplotlib.pyplot as plt
import matplotlib as mpl
import numpy as np
import pylab as pb
import shlex as sx
import shutil as sl
import subprocess as sp
import sys
import os
import math




###### 1) Output
### Printing in terminal
print 'Hello World !' 
### Writing a string
text2out = 'I learning python'
### Printing string
print text2out
### Print empty lines
print 'Newline \n'
print '3Newline \n\n\n'




###### 2) File
### Openning file 'part1.txt' to write 'w'
file1 = open( 'part1-1.txt' , 'w+' )
# NB: ' ' and " " are equivalent in python
# having 2 sets of quotes is usefull to
# print quote in file 
print "file1 = open( 'part1.txt' , 'w+' )" 
### Writing 
file1.write('Hello World !')
print "file1.write('Hello World !')" 
### Closing file
file1.close()
print "file1.close()"




###### 3) Directory
### Naming the directory './' : current directory
odir = './out1/'
### Check if directory exists (package os)
if not os.path.exists(odir):
### Creating the directory
    os.makedirs(odir)
### Making a file in directory
file2 = open( odir+'part1-2.txt', 'w+')
file2.write(" odir = './out'\n")
file2.write(" if not os.path.exists(odir):\n")
file2.write("    os.makedirs(odir)\n")
file2.write(" file2 = open( odir+'part1-2.txt', 'w+') \n")
file2.close()




###### 4) Moving / Copying files
file3 = open( odir+'part1-3.txt', 'w+')
### Move file (package os)
os.rename('./part1-1.txt', odir + 'part1-1.txt')
file3.write("sl.move('./part1-1.txt', odir)")
### Copy file (package shutil as sl)
sl.copy('./part1.py', odir )
file3.write("sl.copy('./part1.py', odir )")
### Delete file
os.remove( odir+'./part1.py' )
file3.write("os.remove( odir+'./part1.py' )")

# NB: moving, deleting and copying directory is different
# A directory can have files!


###### Exercise
# Create a file: 'part1_ex.txt' in directory: './out1/'
# Write: 'this is my first python file.'
# Create a directory './ex1/'
# Copy file: 'part1_ex.txt' in directory: './ex1/'
